# WOK
TKWOK
WOKUtils

# WOKUtils_HSequenceOfParamItem Class Reference

`#include <WOKUtils_HSequenceOfParamItem.hxx>`

## Public Member Functions

| WOKUtils_HSequenceOfParamItem ()
Standard_Boolean | IsEmpty () const
Standard_Integer | Length () const
Standard_EXPORT void | Clear ()
Standard_EXPORT void | Append (const WOKUtils_ParamItem &anItem)
Standard_EXPORT void | Append (const Handle(WOKUtils_HSequenceOfParamItem)&aSequence)
Standard_EXPORT void | Prepend (const WOKUtils_ParamItem &anItem)
Standard_EXPORT void | Prepend (const Handle(WOKUtils_HSequenceOfParamItem)&aSequence)
Standard_EXPORT void | Reverse ()
Standard_EXPORT void | InsertBefore (const Standard_Integer anIndex, const WOKUtils_ParamItem &anItem)
Standard_EXPORT void | InsertBefore (const Standard_Integer anIndex, const Handle(WOKUtils_HSequenceOfParamItem)&aSequence)
Standard_EXPORT void | InsertAfter (const Standard_Integer anIndex, const WOKUtils_ParamItem &anItem)
Standard_EXPORT void | InsertAfter (const Standard_Integer anIndex, const Handle(WOKUtils_HSequenceOfParamItem)&aSequence)
Standard_EXPORT void | Exchange (const Standard_Integer anIndex, const Standard_Integer anOtherIndex)
Standard_EXPORT Handle_WOKUtils_HSequenceOfParamItem | Split (const Standard_Integer anIndex)
Standard_EXPORT void | SetValue (const Standard_Integer anIndex, const WOKUtils_ParamItem &anItem)
Standard_EXPORT const WOKUtils_ParamItem & | Value (const Standard_Integer anIndex) const
Standard_EXPORT WOKUtils_ParamItem & | ChangeValue (const Standard_Integer anIndex)
Standard_EXPORT void | Remove (const Standard_Integer anIndex)
Standard_EXPORT void | Remove (const Standard_Integer fromIndex, const Standard_Integer toIndex)
const WOKUtils_SequenceOfParamItem & | Sequence () const
WOKUtils_SequenceOfParamItem & | ChangeSequence ()
Standard_EXPORT Handle_WOKUtils_HSequenceOfParamItem | ShallowCopy () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

WOKUtils_SequenceOfParamItem | mySequence

## Constructor & Destructor Documentation

WOKUtils_HSequenceOfParamItem::WOKUtils_HSequenceOfParamItem | ( |  | ) |

## Member Function Documentation

Standard_EXPORT void WOKUtils_HSequenceOfParamItem::Append | ( | const Handle(WOKUtils_HSequenceOfParamItem)& | aSequence | ) |

Standard_EXPORT void WOKUtils_HSequenceOfParamItem::Append | ( | const WOKUtils_ParamItem & | anItem | ) |

WOKUtils_SequenceOfParamItem& WOKUtils_HSequenceOfParamItem::ChangeSequence | ( |  | ) |

Standard_EXPORT WOKUtils_ParamItem& WOKUtils_HSequenceOfParamItem::ChangeValue | ( | const Standard_Integer | anIndex | ) |

Standard_EXPORT void WOKUtils_HSequenceOfParamItem::Clear | ( |  | ) |

Standard_EXPORT void WOKUtils_HSequenceOfParamItem::Exchange | ( | const Standard_Integer | anIndex,
|  | const Standard_Integer | anOtherIndex
| ) |

Standard_EXPORT const WOKUtils_HSequenceOfParamItem::Handle | ( | Standard_Type |  | ) | const

Standard_EXPORT void WOKUtils_HSequenceOfParamItem::InsertAfter | ( | const Standard_Integer | anIndex,
|  | const Handle(WOKUtils_HSequenceOfParamItem)& | aSequence
| ) |

Standard_EXPORT void WOKUtils_HSequenceOfParamItem::InsertAfter | ( | const Standard_Integer | anIndex,
|  | const WOKUtils_ParamItem & | anItem
| ) |

Standard_EXPORT void WOKUtils_HSequenceOfParamItem::InsertBefore | ( | const Standard_Integer | anIndex,
|  | const Handle(WOKUtils_HSequenceOfParamItem)& | aSequence
| ) |

Standard_EXPORT void WOKUtils_HSequenceOfParamItem::InsertBefore | ( | const Standard_Integer | anIndex,
|  | const WOKUtils_ParamItem & | anItem
| ) |

Standard_Boolean WOKUtils_HSequenceOfParamItem::IsEmpty | ( |  | ) | const

Standard_Integer WOKUtils_HSequenceOfParamItem::Length | ( |  | ) | const

Standard_EXPORT void WOKUtils_HSequenceOfParamItem::Prepend | ( | const Handle(WOKUtils_HSequenceOfParamItem)& | aSequence | ) |

Standard_EXPORT void WOKUtils_HSequenceOfParamItem::Prepend | ( | const WOKUtils_ParamItem & | anItem | ) |

Standard_EXPORT void WOKUtils_HSequenceOfParamItem::Remove | ( | const Standard_Integer | fromIndex,
|  | const Standard_Integer | toIndex
| ) |

Standard_EXPORT void WOKUtils_HSequenceOfParamItem::Remove | ( | const Standard_Integer | anIndex | ) |

Standard_EXPORT void WOKUtils_HSequenceOfParamItem::Reverse | ( |  | ) |

const WOKUtils_SequenceOfParamItem& WOKUtils_HSequenceOfParamItem::Sequence | ( |  | ) | const

Standard_EXPORT void WOKUtils_HSequenceOfParamItem::SetValue | ( | const Standard_Integer | anIndex,
|  | const WOKUtils_ParamItem & | anItem
| ) |

Standard_EXPORT Handle_WOKUtils_HSequenceOfParamItem WOKUtils_HSequenceOfParamItem::ShallowCopy | ( |  | ) | const

Standard_EXPORT Handle_WOKUtils_HSequenceOfParamItem WOKUtils_HSequenceOfParamItem::Split | ( | const Standard_Integer | anIndex | ) |

Standard_EXPORT const WOKUtils_ParamItem& WOKUtils_HSequenceOfParamItem::Value | ( | const Standard_Integer | anIndex | ) | const

## Field Documentation

WOKUtils_SequenceOfParamItem WOKUtils_HSequenceOfParamItem::mySequence `[private]`

The documentation for this class was generated from the following file:

- WOKUtils_HSequenceOfParamItem.hxx